Memory Stores
Update a memory store
Updates the specified memory store with the supplied configuration changes.
ヘッダー パラメーター
Foundry-Features
enum
必須
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
パス パラメーター
name
string
必須
The name of the memory store to update.
クエリ パラメーター
api-version
string
必須
The API version to use for this operation.
要求本文
description
string
A human-readable description of the memory store.
metadata
object
Arbitrary key-value metadata to associate with the memory store.
応答
The request has succeeded.
本文
object
enum
必須
The object type, which is always 'memory_store'.
id
string
必須
The unique identifier of the memory store.
name
string
必須
The name of the memory store.
description
string
A human-readable description of the memory store.
metadata
object
Arbitrary key-value metadata to associate with the memory store.
definition
default
必須
Base definition for memory store configurations.
default
MemoryStoreDefaultDefinition
Default memory store implementation.
kind
enum
必須
The kind of the memory store.
chat_model
string
必須
The name or identifier of the chat completion model deployment used for memory processing.
embedding_model
string
必須
The name or identifier of the embedding model deployment used for memory processing.
options
MemoryStoreDefaultOptions
Default memory store configurations.
user_profile_enabled
boolean
必須
Whether to enable user profile extraction and storage. Default is true.
user_profile_details
string
Specific categories or types of user profile information to extract and store.
chat_summary_enabled
boolean
必須
Whether to enable chat summary extraction and storage. Defaults to true.
procedural_memory_enabled
boolean
Whether to enable procedural memory extraction and storage. The service defaults to true if a value is not specified by the caller.
default_ttl_seconds
integer
The default time-to-live for memories in seconds. A value of 0 indicates that memories do not expire. Defaults to 0.
要求
POST /memory_stores/{name} HTTP/1.1
回答
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json